Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
Posts: 4
Registered: ‎01-23-2013
My Device: Blackberry 9900
My Carrier: Vodafone
Accepted Solution

Unable to run proj on OS 5 and OS 6 simultor

[ Edited ]

I have imported Blackberry sample app. JRE I am using is Blackberry JRE 5.0.0

I am able to run the application successfully on Blackberry JRE 7.1.0 simulator. The same application is not even loading on lower JRE simulators like JRE 5 and JRE 6. 

Complier level is 1.3

I am using blackberry plug-in for eclipse 7.1 SDK from below link.

https://developer.blackberry.com/java/download/

 

I have even set environment variables as explained in the link below.

http://www.dotnetexpertsforum.com/set-environment-variables-and-paths-for-blackberry-jde-4-x-t1207.h...

 

 

Developer
Posts: 16,985
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: Unable to run proj on OS 5 and OS 6 simultor

welcome to the support forums.

applications are only upward compatible. if you have a 7.1 sample you can try to compile it with 5.0, but if there are any new classes used it won't work.
5.0 has its own set of samples.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
New Contributor
Posts: 4
Registered: ‎01-23-2013
My Device: Blackberry 9900
My Carrier: Vodafone

Re: Unable to run proj on OS 5 and OS 6 simultor

Hi Simon,

I am aware of forward compatibility feature of BB. 

I have imported sample from 5.0 set of samples not 7.1, Hence it should run on simulator. 

I have even tried building  a new app with 5.0. It runs fine on 7.1 but doesn't run on 5.0 or 6.0 simulators.

 

 

Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Unable to run proj on OS 5 and OS 6 simultor

What actually happens when you use the 5.0 JRE and run on a 5.0 Simulator?  Do you see the icons?  Do you see any messages in the log when you click on the icons?

 

Right click on one of these projects and choose Properties, select the Java Build Path and then the 'Source' tab.  What level of JRE do you see in there?

New Contributor
Posts: 4
Registered: ‎01-23-2013
My Device: Blackberry 9900
My Carrier: Vodafone

Hi Peter,   I see just the simulator loading, and the pro...

Hi Peter,

 

I see just the simulator loading, and the progeress bar stopping after a while. After that nothing happens. Simulator is not even loading the Home Screen. I am unable to view any log.

 

Under the Java Build path I see 5.0 JRE

 

 

 

 

Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Hi Peter, I see just the simulator loading, and the pro...

So the problem is the Simulator is not starting and not that you can't run the applications once the Simulator has started?

 

Try running the Simulator directly.  Search round the RIM installation directories until you find a directory that looks like a Simulator and click on the bat file.

 

BTW, In Win 7, I have installed the Simulators and all RIM stuff in c:\RIM.

 

This seems to overcome a number of issues caused by the products trying to write logs back into the c:\Program Files directory, which Win 7 (and above presumably) does not like.